curl --request GET \
--url https://staging.api.rye.com/api/v1/commissions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://staging.api.rye.com/api/v1/commissions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://staging.api.rye.com/api/v1/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"ryeFee": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"developerCommission": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"settlementDirection": "rye_owes_developer",
"status": "pending",
"type": "surcharge",
"checkoutIntentId": "<string>",
"id": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Retrieve commission
Retrieve a commission by id
Returns commission details for the authenticated developer.
Authorizations
Rye API key
Path Parameters
The id of the commission to look up
Response
Commission details
A commission earned (or owed) on a completed checkout intent.
Time the commission last changed (e.g. status transition).
Time the commission was first recorded.
Fee retained by Rye.
Show child attributes
Show child attributes
Commission amount paid to the developer.
Show child attributes
Show child attributes
Whether Rye owes the developer or vice versa once settled.
rye_owes_developer, developer_owes_rye Lifecycle status, e.g. pending, finalized, refunded.
pending, confirmed, updated, finalized, refunded, expired Kind of commission, e.g. surcharge, discount_code, affiliate.
surcharge, promo_arbitrage, discount_code, affiliate, out_of_band The checkout intent this commission was generated from.
Unique identifier for this commission.
Time the commission moved to a terminal status. Unset until finalized.
Was this page helpful?

